Jump to content
JanuszWo

Libreoffice - Instalacja Wersji 4.4

Recommended Posts

Szanowni Forumowicze!

Lubię mieć nowe wersje Libreoffice. Najwięcej na komputerze piszę tekstów, różnych dokumentów. Jednak od wersji 4.4.2 nie mogę zainstalować poprawnie i potem używać programu. Do wersji 4.3 z różnymi numerkami na końcu nie miałem problemów absolutnie żadnych. Instalowałem pobrane ze strony http://www.documentfoundation.org/ pakiety rpm i wszystko śmigało. Od wersji 4.4.2 coś się popsuło. Problemy miałem już na fedorze 19. Teraz zainstalowałem fedorę 21 i jest to samo. Przy instalacji wywala bardzo dużo komunikatów (ale nie błędów). Po uruchomieniu interfejs programu jest nieczytelny, ma plamy, nakładki, przebitki spod spodu. Nie pomaga usuwanie ustawień, katalogów poprzednich wersji... Ktoś ma jakieś informacje, co się dzieje? Jakoś sobie można poradzić z tym?

Pozdrawiam - JanuszWo

Share this post


Link to post
Share on other sites

Szanowni Forumowicze!

Lubię mieć nowe wersje Libreoffice. Najwięcej na komputerze piszę tekstów, różnych dokumentów. Jednak od wersji 4.4.2 nie mogę zainstalować poprawnie i potem używać programu. Do wersji 4.3 z różnymi numerkami na końcu nie miałem problemów absolutnie żadnych. Instalowałem pobrane ze strony http://www.documentfoundation.org/ pakiety rpm i wszystko śmigało. Od wersji 4.4.2 coś się popsuło. Problemy miałem już na fedorze 19. Teraz zainstalowałem fedorę 21 i jest to samo. Przy instalacji wywala bardzo dużo komunikatów (ale nie błędów). Po uruchomieniu interfejs programu jest nieczytelny, ma plamy, nakładki, przebitki spod spodu. Nie pomaga usuwanie ustawień, katalogów poprzednich wersji... Ktoś ma jakieś informacje, co się dzieje? Jakoś sobie można poradzić z tym?

Pozdrawiam - JanuszWo

 

Te kominikaty i zrzuty ekranu mogą być ważne. wstaw.org i wklej.org mogą pomóc cije nam przekazać.

 

Możesz też zrobić tak: skasuj libreoffice, które masz i zaintaluj nową wersję z Fedory 22:

yum --enable-repo=updates-testing install libre-office libreoffice-langpack-pl

Tylko upewnij się, że zależności nie zaktualizują ci przy tym połowy systemu :P . Jeśli nie będzie ich za dużo (a będzie trochę, głównie dotyczących javy openjdk), to śmiało instaluj.

Share this post


Link to post
Share on other sites

Te kominikaty i zrzuty ekranu mogą być ważne

 

 

Powtórzyłem jeszcze raz instalację pakietów rpm z documentfoundation.org.

Z konsoli skopiowałem takie rzeczy:

 

 

/bin/update-desktop-database
/bin/update-mime-database
Unknown media type in type 'chemical/x-alchemy'
Unknown media type in type 'chemical/x-cache'
Unknown media type in type 'chemical/x-cactvs-ascii'
Unknown media type in type 'chemical/x-cactvs-binary'
Unknown media type in type 'chemical/x-cactvs-table'
Unknown media type in type 'chemical/x-cdx'
Unknown media type in type 'chemical/x-cdxml'
Unknown media type in type 'chemical/x-chem3d'
Unknown media type in type 'chemical/x-cif'
Unknown media type in type 'chemical/x-cml'
Unknown media type in type 'chemical/x-daylight-smiles'
Unknown media type in type 'chemical/x-dmol'
Unknown media type in type 'chemical/x-gamess-input'
Unknown media type in type 'chemical/x-gamess-output'
Unknown media type in type 'chemical/x-gaussian-input'
Unknown media type in type 'chemical/x-gaussian-log'
Unknown media type in type 'chemical/x-genbank'
Unknown media type in type 'chemical/x-gulp'
Unknown media type in type 'chemical/x-hin'
Unknown media type in type 'chemical/x-inchi'
Unknown media type in type 'chemical/x-inchi-xml'
Unknown media type in type 'chemical/x-jcamp-dx'
Unknown media type in type 'chemical/x-macromodel-input'
Unknown media type in type 'chemical/x-mdl-molfile'
Unknown media type in type 'chemical/x-mdl-rdfile'
Unknown media type in type 'chemical/x-mdl-rxnfile'
Unknown media type in type 'chemical/x-mdl-sdfile'
Unknown media type in type 'chemical/x-mdl-tgf'
Unknown media type in type 'chemical/x-mmcif'
Unknown media type in type 'chemical/x-mol2'
Unknown media type in type 'chemical/x-mopac-graph'
Unknown media type in type 'chemical/x-mopac-input'
Unknown media type in type 'chemical/x-mopac-out'
Unknown media type in type 'chemical/x-msi-car'
Unknown media type in type 'chemical/x-msi-hessian'
Unknown media type in type 'chemical/x-msi-mdf'
Unknown media type in type 'chemical/x-msi-msi'
Unknown media type in type 'chemical/x-ncbi-asn1'
Unknown media type in type 'chemical/x-ncbi-asn1-binary'
Unknown media type in type 'chemical/x-ncbi-asn1-xml'
Unknown media type in type 'chemical/x-pdb'
Unknown media type in type 'chemical/x-shelx'
Unknown media type in type 'chemical/x-turbomole-basis'
Unknown media type in type 'chemical/x-turbomole-control'
Unknown media type in type 'chemical/x-turbomole-coord'
Unknown media type in type 'chemical/x-turbomole-grad'
Unknown media type in type 'chemical/x-turbomole-scfmo'
Unknown media type in type 'chemical/x-turbomole-vibrational'
Unknown media type in type 'chemical/x-vmd'
Unknown media type in type 'chemical/x-xyz'
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
mkdir: nie można utworzyć katalogu „/usr/share/icons/hicolor/icon-theme.cache”: Nie jest katalogiem
mkdir: nie można utworzyć katalogu „/usr/share/icons/hicolor/index.theme”: Nie jest katalogiem
/bin/gtk-update-icon-cache
/bin/update-desktop-database
/bin/update-desktop-database

 

Mam nadzieję, że coś z tego wynika...

 

Pozdrawiam - JanuszWo

Share this post


Link to post
Share on other sites

Pobrałem 4.4.3 stąd → http://www.libreoffice.org/download/libreoffice-fresh/

Po rozpakowaniu, jako root

cd <katalog z pakietami RPM>
dnf install *.rpm

 

Ja mam fedorę 32 bitową. Zrobiłem cd <katalog z pakietami RPM> a potem rpm -ihv lib*

Nie używałem dnf, yum, czy czego tam jeszcze. A może powienienem?? To nie jest jakiś przypadek. To samo miałem na poprzedniej fedorze. Pakiety zawsze prosto z documentfoundation.org

JanuszWo

Share this post


Link to post
Share on other sites

Yum albo dnf zawsze - chociażby ze względu na zależności. Sprawdź, bo nie sądzę, żeby to były jakieś istotne różnice między 32- a 64-bitową wersją.

Share this post


Link to post
Share on other sites

To ja się podepnę pod temat LibreOffice. Jak zainstalować LibreOffice bez instalowania zależności w postaci OpenJDK, a zamiast tego zainstalować oryginalną Javę z Oracla? Pytam ponieważ muszę mieć Javę z Oracle bo na komputerze używam JBossa, który uruchamia się tylko na JDK z Oracle. Podczas próby zainstalowania LibreOffice zostaje automatycznie zainstalowana OpenJDK i zakłóca działanie JBossa.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×